## List

**get** `/compute/v1/small-molecule/library-screen`

List small molecule library screens, optionally filtered by workspace

### Query Parameters

- `after_id: optional string`

  Return results after this ID

- `before_id: optional string`

  Return results before this ID

- `limit: optional number`

  Max items to return. Defaults to 100.

- `workspace_id: optional string`

  Filter by workspace ID. Only used with admin API keys. If not provided, defaults to the workspace associated with the API key, or the default workspace for admin keys.

### Returns

- `data: array of object { id, completed_at, created_at, 11 more }`

  - `id: string`

    Unique SmScreenSummary identifier

  - `completed_at: string`

  - `created_at: string`

  - `data_deleted_at: string`

    When the input, output, and result data was permanently deleted. Null if data has not been deleted.

  - `engine: "boltz-sm-screen"`

    Engine used for small molecule library screen

    - `"boltz-sm-screen"`

  - `engine_version: string`

    Engine version used for small molecule library screen

  - `error: object { code, message, details }`

    - `code: string`

      Machine-readable error code

    - `message: string`

      Human-readable error message

    - `details: optional unknown`

      Additional field-level error details keyed by input path, when available.

  - `livemode: boolean`

    Whether this resource was created with a live API key.

  - `progress: object { num_molecules_failed, num_molecules_screened, total_molecules_to_screen, 2 more }`

    - `num_molecules_failed: number`

      Number of accepted molecules that reached terminal failure during screening.

    - `num_molecules_screened: number`

      Number of accepted molecules that produced usable screening results.

    - `total_molecules_to_screen: number`

      Total number of molecules accepted into screening after server-side validation and filtering.

    - `latest_result_id: optional string`

      ID of the most recently screened result

    - `rejection_summary: optional object { filtered_count, invalid_count }`

      - `filtered_count: number`

        Number of submitted molecules removed by server-side filtering rules.

      - `invalid_count: number`

        Number of submitted molecules rejected as invalid input.

  - `started_at: string`

  - `status: "pending" or "running" or "succeeded" or 2 more`

    - `"pending"`

    - `"running"`

    - `"succeeded"`

    - `"failed"`

    - `"stopped"`

  - `stopped_at: string`

  - `workspace_id: string`

    Workspace ID

  - `idempotency_key: optional string`

    Client-provided idempotency key

- `first_id: string`

  ID of the first item. Use as before_id for the previous page.

- `has_more: boolean`

- `last_id: string`

  ID of the last item. Use as after_id for the next page.

### Example

```http
curl https://api.boltz.bio/compute/v1/small-molecule/library-screen \
    -H "x-api-key: $BOLTZ_API_KEY"
```
